[Mediawiki-l] Linker and backward compatibility for extensions

Jim Hu jimhu at tamu.edu
Fri Apr 20 15:13:26 UTC 2012


We have some extensions that used the deprecated linking methods from skin objects.  I've changed these to use Linker::LinkKnown for 1.18+, but now they don't work with 1.17 or below.  Is there a recommended code practice that works for both?

Thanks.
=====================================
Jim Hu
Professor
Dept. of Biochemistry and Biophysics
2128 TAMU
Texas A&M Univ.
College Station, TX 77843-2128
979-862-4054




More information about the MediaWiki-l mailing list